Page MenuHomePhabricator

Add ability to configure the web service endpoint in the IDS extension
Closed, ResolvedPublic

Description

Right now the service endpoint "https://tools.wmflabs.org/idsgen/" is hard-coded into the IDS extension.

It should instead be configurable, via an entry in LocalSettings.php.

Event Timeline

kaldari created this task.Dec 23 2016, 7:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 23 2016, 7:44 PM

@kaldari: Is this an good first bug task suitable for newcomers once the task desc has been improved?
Or maybe Google-Code-In-2016 (who would mentor this)?

@kaldari: Is this an good first bug task suitable for newcomers once the task desc has been improved?
Or maybe Google-Code-In-2016 (who would mentor this)?

Hi , about IDS extension,I think that it can be changed to render-server-path set-able in Localsetting.php. I am a poor php guy,but I guess it might be a easy task?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 28 2016, 8:30 PM

@Aklapper: Yes, this is an easy task. @Samwilson could potentially be a mentor on it if a volunteer wanted to pick it up.

Well, we will only find out "if a volunteer wanted to pick it up" by actually making it available, not the other way round. :)
@Samwilson?

@Aklapper: Yes, I'd be very happy to mentor.

divadsn claimed this task.Jan 2 2017, 9:40 PM

Change 330184 had a related patch set uploaded (by Divadsn):
Add ability to configure the web service endpoint in the IDS extension

https://gerrit.wikimedia.org/r/330184

Samwilson moved this task from Backlog to Done on the good first bug board.Jan 3 2017, 7:18 AM

Patch 330184 is ready to be merged, but I'm not an owner of the Ids repo. Can someone have a look?

Change 330184 merged by jenkins-bot:
Add ability to configure the web service endpoint

https://gerrit.wikimedia.org/r/330184

Filip closed this task as Resolved.Jan 3 2017, 5:13 PM
Filip added subscribers: Reedy, Filip.

@Reedy merged, marking as resolved!

DannyH moved this task from Epic backlog to Archive on the Community-Tech board.Jan 3 2017, 7:44 PM
Florian added a subscriber: Florian.

Removing GCI-Tag, as the task was finished outside of GCI :) Thanks a lot for the fix!

@Florian well, it was actually done for GCI :)

Ha! Interesting :P I deleted a task that mentioned this phab task, but it seems, that this was just a duplicate :) Sorry for the confusion! :)

Samwilson moved this task from Backlog to Done on the IDS-extension board.Jan 4 2017, 11:13 PM